Bug 9047 - classicupgrade and samba3upgrade option of samba-tool
classicupgrade and samba3upgrade option of samba-tool
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0 beta3
x64 Linux
: P5 trivial
: ---
Assigned To: Jelmer Vernooij
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 13:15 UTC by Marc Muehlfeld
Modified: 2012-10-10 07:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Muehlfeld 2012-07-17 13:15:12 UTC
The wiki says (https://wiki.samba.org/index.php/Samba4/Releases/4.0.0beta2#Some_major_user-visible_changes_include:):
> The 'samba-tool domain samba3upgrade' command is now called 'samba-tool domain 
> classicupgrade' and now creates users and groups with the posixAccount 
> objectClass and uidNumber and gidNumber values. 

This sound like the 'classicupgrade' option replaces the 'samba3upgrade' option in samba-tool.

But samba-tool in beta4 shows both options (with the same description):
# /usr/local/samba/bin/samba-tool domain help
Usage: samba-tool domain <subcommand>

Available subcommands:
  classicupgrade    - Upgrade from Samba classic (NT4-like) database to Samba AD DC database.
  ...
  samba3upgrade     - Upgrade from Samba classic (NT4-like) database to Samba AD DC database.


If this options do different things, then the short description in samba-tool should be adapted. If it's the same, 'samba3upgrade' can be removed from there.
Comment 1 Jelmer Vernooij 2012-09-25 20:35:52 UTC
The old name is still available for backwards compatibility. I've hidden the 'samba3upgrade' command in the help output.
Comment 2 Karolin Seeger 2012-10-10 07:31:07 UTC
Patch has been pushed to autobuild-v4-0-test also.